Package io.dapr.v1

# Interface CommonProtos.StreamPayloadOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `CommonProtos.StreamPayload`, `CommonProtos.StreamPayload.Builder`

Enclosing class:
  CommonProtos

public static interface CommonProtos.StreamPayloadOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`com.google.protobuf.ByteString`
`getData()`
Data sent in the chunk.
`long`
`getSeq()`
Sequence number.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getData

com.google.protobuf.ByteString getData()

     Data sent in the chunk.
     The amount of data included in each chunk is up to the discretion of the sender, and can be empty.
     Additionally, the amount of data doesn't need to be fixed and subsequent messages can send more, or less, data.
     Receivers must not make assumptions about the number of bytes they'll receive in each chunk.

`bytes data = 1;`

Returns:
  The data.

### getSeq

long getSeq()

     Sequence number. This is a counter that starts from 0 and increments by 1 on each chunk sent.

`uint64 seq = 2;`

Returns:
  The seq.